﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    image terminal = Frame("Airport7 by seeman.JPG",12,12)
    image bedroom = Frame("beds by hect0r.jpg",12,12)
    image coffeeshop = Frame("coffee shop by tboard.jpg",12,12)
    image departmentstore = Frame("depatment by darthlaurian.jpg",12,12)
    image foodcourt = Frame("foodcourt.jpg",12,12)
    image forest = Frame("forest by kevin_p.jpg",12,12)
    image fountian = Frame("fountian.jpg",12,12)
    image moon = Frame("Full_Moon by razvandm.jpg",12,12)
    image livingroom = Frame("living by gracey.jpg",12,12)
    image mailbox = Frame("mailbox by 37Hz.jpg",12,12)
    image mall = Frame("mall.jpg",12,12)
    image river = Frame("River_Avon_ by beglib.jpg",12,12)
    image grocerystore = Frame("store by mconnors.jpg",12,12)
    image streetday = Frame("streets by dave mcmt.jpg",12,12)
    image parknight = Frame("night park by kalleboo.jpg",12,12)
    image black = Frame("black backround.jpg",12,12)
    image clothingstore = Frame("clothingstore.jpg",12,12)
    image outsidecafe = Frame("outside cafe by ellbrown.jpg",12,12)
    image nic questioning = im.FactorScale ("pose01.png", 0.9)
    image nic openquestioning = im.FactorScale ("pose02.png", 0.9)
    image nic veryhappy = im.FactorScale ("pose03.png", 0.9)
    image nic happy = im.FactorScale ("pose04.png", 0.9)
    image nic angry = im.FactorScale ("pose05.png", 0.9)
    image nic veryangry = im.FactorScale ("pose06.png", 0.9)
    image nic statement = im.FactorScale ("pose07.png", 0.9)
    image nic devil = im.FactorScale ("pose08.png", 0.9)
    image nic thinking = im.FactorScale ("pose09.png", 0.9)
    image nic blushing = im.FactorScale ("pose10.png", 0.9)
    


    # Declare characters used by this game.
    $ g = Character('Girl', color="#c88cc8")
    $ N = Character('Nic', color="#c88cc8")
    $ v = Character('Voice', color="#c88cc8")
    $ n = Character('Nicole', color="#c88cc8")
    $ j = Character('Jeremy', color="#6074BF")
    $ w = Character('Woman', color="#c66cc6")
    $ C = Character('Clerk', color="#d44d33")
    $ W = Character('Waitress', color="#f77ff7")
    $ have_bathingsuit = False
    

# The game starts here.
label start:
    $ renpy.music.play("sunlight bath.mp3", loop=True)
    scene black 
    centered"Dear Nic,{p} Sorry that I haven't been able to write back lately.\n\ Finals have been torturous. \n\ {p} It must be nice being homeschooled. You must be able to spread your tests out so easily."
    centered"That reminds me. How has your college search been going lately? \n\ {p} Last time we spoke I remember you saying something about checking out some schools in the states. Or have you already made a decision?"
    centered"I, on the other hand, will be searching for a job this summer. I've got nothing better to do until I start classes this fall. \n\ {p} Besides, it might be good to have a little extra cash in my pocket."
    centered"Hmm, looks like I seem to be short on talkative subjects today. Maybe I’m still burnt from exams.\n\ {p} Hope you have something more interesting to tell me. I must appear to be getting more boring now of days."
    centered"Take care now. \n\ {p} Sincerely, Jeremy"
    
    scene black
    centered"Hey Jeremy, \n\ {p} Sorry to hear about your exams, but you always do well so I wouldn't worry about them. \n\ You probably already got your grades back by the time you read this anyways so I guess my reassurance isn't needed either way."
    centered"About college, I actually haven't chosen where yet. I still plan on going to the states and that brings up a big question I wanted to ask you."
    centered"I actually was hoping to check out the schools near you later this summer during their recruitment date. \n\ {p} My real question is to see if I can spend that time at your place rather than having to rent.  And luckily they are during the same week. \n\ I know it's a lot to ask of you but I'll pay for my own food and stuff."
    centered"I would be arriving on July 21st and leaving on July 28th. In case you plan on being out of town then or you can't comply, I understand. Just thought I would ask."
    centered"Anticipating your answer. \n\ Sincerely, Nic"
    
    scene black
    centered"Dear Nic,\n\ {p} You staying here would be no trouble at all. I have already fully unpacked and have settled in nicely. \n\ {p} Just let me know at what time you'll arrive and I'll meet you at the airport; I might even be like one of those people who hold up a sign with your name on it.\n\ Yeah, that's what I’ll do.\n\ {p} Besides, the job search wasn't as rewarding as I thought; I got nothing."
    centered"Nevermind though, it will be great to finally see you after these last few years. \n\ {p} Impatiently waiting.\n\Jeremy"
    stop music
    centered"July 21st"
    
    scene terminal
    $ renpy.music.play("walking road.mp3", loop=True)
    "Nic was coming today to check out the schools near my place to attend next year.  {w} I wonder if Nic would actually choose the school I’m going to.  It might be fun to tease him a bit; as an upperclassman."
    "However, I think I should worry about the here and now rather than think about a slim chance in the future."
    j "Ahhhh, Nic told me in his last letter that his plane would arrive at 1:30 sharp."
    "It’s already 2:00 and the plane still hasn't arrived. I wonder if the plane was delayed? {p}I asked the woman at the counter for an explanation."
    w "Oh, yes they seemed to have had some boarding trouble and were delayed a bit but they should be landing soon."
    "That only makes me wonder what the problem was."
    j "Why does this kind of stuff always happen when I’m involved?"
    "2:05{p}2:07{p}2:08{p}2:08.5{p}Ok, I might be a little impatient."
    w "Flight 121 has just arrived at gate #3."
    j "Finally.\n\This was starting to get tiresome."
    "I started to hold the sign with 'Nic' painted in big red letters.\n\I can't help but think I look like a fool. Oh, well."
    "As people started to exit the plane I began to look for anyone that might look like Nic."
    "It might have helped if I had ever asked Nic for a picture of himself."
    "Just then a girl about my age started to walk up to me."
    show nic questioning with easeinright
    g "Your name wouldn't happen to be Jeremy by chance?"
    "Ok, how does she know my name?{p}Wait, It can't be!"
    j "Nic.......is that you?"
    g "Of course it's me. How else would I know your name?"
    stop music
    "Nic is a girl?!?!{p}This is not what I expected at all."
    "How is this going to work out?\n\I wonder if she thought I was a girl?\n\I just always assumed she was a guy."
    show nic openquestioning
    N "Jeremy?"
    "I can't believe I never even bothered to ask.\n\We were always into the same stuff so I never could have guessed."
    show nic veryangry with hpunch
    N "Jeremy!!!"
    j "Ouchhh!{p}What did you do that for?"
    show nic happy with dissolve
    N "You were starting to space out there for a second."
    j "Oh, umm thanks."
    "She didn't need to hit me so hard though.\n\Come to think of it, she didn't even look like she could hit that hard."
    show nic devil with dissolve
    N "You didn't know I was a girl, did you?"
    "How did she figure that out so fast?"
    N "I'm surprised you couldn't tell by my handwriting or grammer usage."
    j "Wha...what makes you think I didn't already know?"
    N "It’s kind of obvious after that reaction."
    "I guess there's no reason to try and hide what i'm thinking than.{p}But I wonder."
    j "Fine, your ri.......{w}wait one minute.{w} Did you know that I was a guy Nic?"
    show nic statement with dissolve
    N "Well I wasn't sure but I had some hints I took from your letters. Guess my assumption was correct after all."
    j "So you asked to stay at my place this week knowing, or at least, assuming that I was a guy?"
    N "That would be the case." 
    show nic devil with dissolve
    N "Does that bother you in some way?"
    j "No, no, not at all!!{p}I just wish I would have known that ahead of time."
    "Would have given me some time to change a few things around the apartment that I would rather not have her see."
    show nic questioning with dissolve
    N "Why? Would that have made a difference in you decision to let me stay at your place?"
    $ relationship = 0
menu:
  "Of course":
    $ relationship += 0
    j "Of course it would have made a difference.\n\Who knows what someone would say if they knew I had a girl staying in my apartment. "
    show nic openquestioning with dissolve
    N "I'm sorry; I didn't know it would have that kind of effect on you."
    N "If you want me to stay somewhere else I might be able to find a cheap hotel for the week."
    j "No, don't do that!"
    "I better take her to my place. It could be dangerous for her to wander about alone.{p}"
    j "I promised I would provide a roof over your head this week and I’m always true to my word."
    "After all, it is my fault she came here without any extra plans for board.\n\She probably didn't bring enough money for a hotel either."
  "Not really":
    $ relationship += 1
    j "Not really. You’re still the same Nic I have been writing to and I would like to get and know you better."
    "Definitely not how I wanted it to sound." 
    show nic happy with dissolve
    N "Wow!  To be honest I didn't think you would adjust that fast.\n\I thought you would have been a little worried if someone knew you were keeping a girl in your room." 
    j "Ok, you've made your point."
    "Truth is, that was exactly what I was worried about.{p}But I guess I’ll keep that to myself for a while."
    "After all, it seems to have made Nic happy."
j "Ok Nic, let's go pick up your bags and I’ll take you to my apartment."
"Like that didn't sound perverted at all."
show nic blushing with dissolve
N "It’s Nicole by the way."
j "Whatcha say?"
N "Nicole, my whole first name.{p}I just like using my nickname when I’m writing.{p}"
j "You know, that might have helped me guess you were a girl."
show nic veryhappy with dissolve
n "Oh well, what's done is done."
"What an interesting person you are Nic. Or should I say, Nicole."

#End of arrival scene

scene livingroom with fade
j"Well, here we are!"
"I don't know what I’m getting so excited for. {p}It’s not like this place is a palace. However, I am lucky to have found a place of this size so cheap."
n"You seem to have decked your apartment out quite nicely Jeremy."
j"Actually, most of this stuff was already here when I arrived.{p}The previous tenants left it all after they won the lottery."
"Guess if it can't happen to me, I might as well get some of their stuff."
n"I think you’re the one who lucked out."
"Wait, did she just read my mind or something?"
show nic happy with dissolve
n"And no, I didn't read your mind.{p}I'm just good at reading expressions."
j"You could almost say it was the same thing."
show nic veryhappy
n"Hehe..I guess you’re right."
"She just continues to interest me."
show nic questioning with dissolve
n"Hey, Jeremy?"
j"Yes, is something wrong?"
n"Could you point me to the bathroom?{p}I haven't gone since I departed."
j"Sure, it's that door right over there."
n"Thanks.{p}By the way, would you mind taking my bags to where I will be sleeping for following week?"
"That's right! {p}When I first set up a place for Nic to sleep I thought he, she, was a boy."
j"Yeah, no problem. It will be that door on the right of the bathroom."
"Nicole is about to shut the bathroom door when she says."
show nic devil with dissolve
n"Just make sure you don't go searching through my suitcase. (chuckle)"
hide nic devil with dissolve
"She closes the door and I walk towards the bedroom."

#1st day bedroom

scene bedroom with fade
j"I wonder what she meant by those last few words?"
menu:
  "I should look":
    $ relationship += 0
    "Yeah, either she wanted me to look or there is something she doesn't want me to see.{p}Maybe a gift to thank me for letting her stay."
    "I open up her largest suitcase.{p}What I found did not surprise me........and yet."
    "A short white nightgown lay perfectly on top of the other clothes folded into the suitcase."
    "My hormones started to fill my head with images of....wait this isn't good....I only just found out she was a girl."
    "(Creeeeeek!)  Damn it!!"
    "I quickly close up the bag before Nicole opens the door to the room."
  "Don't look":
    $ relationship += 1
    "No, I should just listen to her warning.{p}Wouldn't want to spoil the surprise if she has one."
    j"Damn, that reminds me!"
    "I had almost forgot there were things here that I would rather not let Nicole see.{p}I quickly deal with what must be done before I hear a door open and Nicole enters the room."
show nic devil with easeinleft
n"You didn't go looking in my suitcases, did you Jeremy?"
"I was about to answer her when...."
show nic veryhappy with dissolve
n"This room is so pink!\n\Don't tell me you didn’t know I was a girl."
j"Nope, I’m still sticking with what I said earlier.{p}And like I said, the old tenants didn't bother to take their stuff."
show nic questioning with dissolve
j"The landlord says this was once their twin daughters' bedroom while the parents slept in the family room."
j"I never bothered to change the room, nor move any of the stuff out.\n\I then thought it would be a perfect idea to keep the extra bed after I heard you would be coming over."
"Then again, that was before I knew Nic was a girl."
j"I could move the extra bed out if you..."
show nic blushing with dissolve
n"No.."
j"Wha..."
n"I mean, umm...., you don't need to trouble yourself.\n\The beds are single so we can just sleep in them without having to worry about.....anything."
"Heart attack #1{p}Is this girl trying to give me a heart attack?"
j"Bu..but we would still be in the same room together."
n"I don't mind as long as you don't."
show nic thinking with dissolve
n"Ju...just don't get the wrong idea, ok?"
j"Yeah, I understand.{p}Thanks."
show nic blushing with dissolve
n"No, it is I who should be thanking you for your hospitality.{p}Anyways, I think I’ll change and then go to sleep. I got a big day tomorrow."
j"Okay   {w}....   {w}.....   {w}......"
n"Could you, umm.... give me a minute?"
j"Oh.. yeah...sure..."
hide nic blushing with easeoutleft
"God that was awkward. {p}That girl just keeps getting more and more interesting."
scene black with fade
"By the time I return she is already asleep.{p}I lay down on my own bed and am knocked out in 1 minute flat.{p}Today had been a long day."

#22nd of July

scene black
centered "July 22nd" 
pause (3.0)


"I wake up feeling completely exhausted."
"I look at the clock and notice it was 3:15 PM.{p}Wait, it's this late already!!"
"I spring out of bed as if it was Christmas morning."
$ renpy.music.play("walking road.mp3", loop=True)
scene bedroom with wipedown
"I look to where Nicole had been sleeping the previous night but all signs of her presence there were gone."
"I would have thought I dreamt the whole thing had I not noticed her luggage at the foot of the bed."
j"She must have already left for one of those college things."
"She even straightened here bed before she left. Not something I would normally do."
"I then spy a note on the night stand which reads..."
"Jeremy,{p}Already left this morning by bus. Don't worry about me.{p}I'll be back at around 9:00.{p}Nicole"
"Well I guess I can do either one of two things."
menu:
  "Wait for her to get back":
    $ relationship += 2
    "I should make sure I’m awake to greet her when she gets back.{p}Perhaps I should make something to eat as well."
    scene livingroom with fade
    "With it being still early I sat back to watch some television until around 6:30."
    j"Let's see what I left to eat in this place."
    "I notice a couple of cups of instant ramen in the pantry along with a few assorted cans of stuff."
    "I then check the fridge and find a couple different drinks along with a small chicken."
    j"Probably not the ramen, as it is the first day Nicole is here and I don't want to look cheap."
    "I take the chicken out of the fridge and place it in the oven.{p}I then proceed to chop up some of the vegetables I found in the back of the fridge."
    "I finished at around 9:10 when I heard a sound."
    "(Knock...Knock.......Knock){p}Must be Nicole.{p}However, rather than letting here in I decided to try something quick."
    j"(Clears throat){p}What is the password?"
    "I had told Nicole a secret password in one of my letters to her about a year back that I used as a kid.{p}I continue to use it in special cases.{p}Hmm.......I just wonder??"
    n"Lemon pudding."
    "What, she remembered that little detail?{p}Sure, I said it a couple times in that letter but to remember something like that."
    j"I..I guess you may enter."
    show nic devil with easeinright
    n"Didn't think I would remember it, huh Jeremy?"
    j"You hit the nail on the head there.{p}How on earth did you remember that?"
    show nic happy with dissolve
    n"I've read your letters several times whenever I received them so I guess it must've stuck at some point."
    "Man, I would only read Nicole's letters once and normally throw them out at the end of the week.{p}I wonder if she kept the ones I sent her?{p}My train of thought was quickly interrupted."
    show nic veryhappy
    n"This looks heavenly!{p}Did you do this all by yourself?"
    j"It was no trouble at all, just some stuff I had found lying in the fridge."
    "Oh great, why did I have to say it like that!"
    j"I just though you would like something decent to eat when you got back."
    show nic questioning with dissolve
    n"But I can't accept this without offering you something in return."
    "Wait, what could she be thinking?!?{p}Is it getting warmer in here?"
    n"I'll pay for the groceries for the entire week, we can go get some tomorrow. I have no college things to deal with, so I’m totally free."
    j"Yea...yeah, that would be great."
    n"Jeremy?"
    show nic devil with dissolve
    n"What were you thinking just now?"
    "I decided to change the subject in a flash."
    j"Come on, if we don't get eating everything will start getting cold."
    "We ate dinner peacefully and then went off to bed."
    
  "Just fall back asleep":
    $ relationship -= 1
    "I know that it might be weird, but I’m still really sleepy."
    "I really don't have any place to go, so I might as well go back to sleep."
    "I decided to unlock the door so Nicole will be able to open it when she gets back."
    "It might have been smart to have given her an extra key."
    "Then heading back to bed, I decided to drift back off into dreamland." 
    
stop music
#23nd of July

scene black with fade
centered "July 23rd" 
pause (3.0)

centered "The alarm on my clock is going off louder than usual."
scene bedroom with wipedown
"I turn off the alarm and look towards Nicole's bed.{p}She wasn't there again."
"I thought she didn't have anything today.{p}Just then I started to smell something coming from the kitchen."
scene livingroom with fade
show nic veryhappy with easeinright 
n"Good morning!!!"
j"Whaaaaaaaaa...." with vpunch
n"Did I scare you Jeremy?"
"Another heart attack."
j"Not really scare, just surprised. By the way, what are you doing in here?"
n"I decided to make breakfast with the little bit I could find.\n\It's a good thing we're going to the market today."
"I'm definitely surprised that she was able to find anything.{p}The eggs looked perfect and it seems she found some bacon."
j"It looks really good Nicole. When did you make this?"
n"Oh, I got up about an hour ago. Didn't take too long and it wasn't too hard to find my way around."
n"Anyway, let's eat.  Then we can head out to the market.{p}I actually saw a nice one on the way back yesterday, I think we should stop there."
"We had a nice conversation during breakfast before heading out."
scene grocerystore with fade
pause (1.5)
show nic happy with dissolve
$ renpy.music.play("becoming the leaf cherry tree.mp3", loop=True)
n"Isn't this place great Jeremy."
"I had seen this store a few times but never bothered to stop.\n\I would always go to one of the bigger chain stores."
n"I think smaller markets give you more of that personal feel. It also seems easier to find the basics without any trouble."
j"I guess you've got a point there."
"It did seem easier to find the things we were looking for.{p}Just then, Nicole asked me to grab some bread while she went over to the next row of shelve."
hide nic happy with easeoutright
"I got the bread and went to look for Nicole but couldn't find her by the meats or fruits."
"For some reason I could have sworn I saw an apple floating by that guy just now... must be my eyes playing tricks again."
"I finally met Nicole at the counter.{p}Most of the stuff was already in bags by the time I got there."
C"That will be $24.58."
"I'm surprised that all this was so cheap.\n\Must be the fact of it being a smaller store.{p}Perhaps I'll stop here more often."
C"Here is your change."
n"Thanks, ummm...      (looks at nametag){p}Dante is it?"
"The guy was about to answer when another person walked behind the counter and started conversing with him about some feminist conspiracy.{p}We just waved and left with our bags."
scene black with fade
pause (0.5)
scene livingroom with fade
show nic questioning with easeinleft
n"Something wrong Jeremy? You look troubled."
menu:
  "Nothing at all":
    $ relationship += 0
    j"No, nothing wrong at all.  I'm just a little tired, that's all."
    n"Oh, okay than."
    "For some reason I don't think she believes me."
    j"Anyways let's put these away."
    "I was still holding on to the groceries and my arms were starting to get tired since I offered to carry them all the way home."
    "I chuckled and then started to put the groceries in their respective places."
  "Something...":
    $ relationship += 1
    "I do have something on my mind."
    j"Well, I have been thinking recently that even though we have been writing to each other for a long time I feel as though I barely know you."
    show nic openquestioning
    n"Really?\n\I didn't think you felt that way."
    n"Is this more because I am a girl?"
    j"No, that's not it. I just feel like we should get to know each other better, that's all."
    show nic happy with dissolve
    n"Oh, I see.  Well, then let's get started."
    "We spoke of hobbies, interests and other things that we hadn't before."
    "It just seems like I can't get enough of hearing about her."
pause (1.5)
show nic statement with dissolve
n"You know, I’ll be gone for the next few days as the State School I’m stopping at tomorrow wants us to stay at their dorms to see what they're like."
j"Well that sounds like a good idea.\n\You wouldn't want to be so far from home and not like the housing."
show nic openquestioning with dissolve
n"Your not surprised by this?"
j"Not really, it's actually quite common now of days for schools around here to do something like that."
n"So yeah, I’ll be taking a few of my things with me but the rest I will leave in your care. Is that alright?"
j"I don't have any objections. They were going to be here anyways."
show nic happy with dissolve
n"Hehe..your right. I don't know why I even needed to ask such an obvious question."
j"It just shows that you care enough to ask."
show nic blushing with dissolve
n"You really think that's the reason?"
j"Definitely!! It seems to be a natural reaction for you. It's something that is not too common around these parts."
j"Now come on. Let's make some lunch and continue our conversation."
n"Okay....{w}and Jeremy.{p}Thanks again."
j"Don't mention it."
hide nic blushing with easeoutleft
"We continued our conversations thru lunch and lazed around until dinner before Nicole decided to head off for bed."
"She said she had to wake up really early tomorrow so it was probably a good idea to turn in now."
scene black with fade
"I sat awake looking up at my ceiling for about 10 minutes before finally drifting out of consciousness."
if relationship >=4:
    "You definitely are someone unlike I have ever met before Nicole."
stop music fadeout(2.0) 
#July 25th

scene black with fade
centered "July 25th" 
pause (3.0)

v"Jeremy....{p}Jeremy.........."
j"Nicole......is that you?"
"Could this be a dream?"
show nic happy with dissolve
n"Jeremy...it's time to wake up."
j"I really just want to stay asleep, thank you."
show nic veryhappy
n"Come on Jeremy....{w}Don't you want to do something fun?"
"I really don't like the way this dream is going."
menu:
  "Go with it anyways":
    $ relationship += 0
    "I guess it wouldn't hurt to go along with this for a while."
    j"Sure, I would love to do something with you Nicole. What did you have in mind?"
    show nic blushing with dissolve
    pause (1.0)
    "She just started to blush."
    "Was this dream really what I thought it was."
    n"Anything you want is fine by me."
    "I had only just figured out Nic was a girl a few days ago and I’m already having a dream like this."
    "My mind just started going off on its own as the hormones took over."
    j"Ooohhh, she looks so soft....I wonder what she would feel like..... there...there...oh it's so warm...."
    hide nic blushing with vpunch
    "Wait...what happened...what..." with vpunch
    "I woke up with a pain shooting through my head."
    v"What were you dreaming about just now!!"
    "Wait a minute, I know that voice."
    scene bedroom with fade
    scene bedroom with vpunch
    show nic veryangry with easeinright
    n"I said what were you dreaming about just now?!?"
    j"Ooouch!!!{p}How do you know I was dreaming about something?!?"
    n"You were talking in your sleep!\n\I kept hearing ''oooh she looks soft, I want to touch that there and there..."
    "You should be glad I haven't already chopped of your arms or legs after what I heard!"
    "That would be unfortunate."
    j"No, it's not what you think."
    show nic devil with dissolve
    n"Oh really, than what was it exactly?"
    "I'm really starting to believe that she can read minds now.  What possible excuse could I come up with..?"
    "I blurted out the first thing that came to mind."
    j"Kitties!!"
    show nic questioning with dissolve
    n"Kitties???"
    "That was the single stupidest excuse I could ......"
    j"Yes, the soft and warm feeling of a kitty! Don't you just love them?"
    "I hope this works."
    show nic openquestioning
    n"I guess they are quite adorable and sweet."
    "I can't believe she bought it."
    
  "I think it’s best that I wake up now":
    $ relationship += 1
    "Perhaps it would be best if I don't let this dream go where I think it’s going."
    "I close my eyes and just try to wake up."
    hide nic veryhappy with vpunch
    ".......{w} ........{w}  ..............."
    v"Come on get up sleepy head."
    "Wait a minute, I know that voice."
    scene bedroom with fade
    show nic veryhappy with dissolve
    j"Nicole, why did you wake me up."
    n"Why, were you having a dream or something?"
    "Oh shoot, I can't let her know what was going through my head."
    j"No, nothing like that at all."
    show nic devil with dissolve
    n"Really, you sure you weren't dreaming about something dirty?"
    "Why does it always seem like she can read my thoughts."
    j"No... nothing at all. I just could have used some more sleep, that's all."
    n"Okay, if that's what you say."
    "Why is she looking at me like that?  I feel like I’m being tried for murder or something."
    
j"Well now that we have that problem settled why don't we eat breakfast."
show nic thinking with dissolve
$ renpy.music.play("kindly calmly.mp3", loop=True)
n"Jeremy, you do realize it's 2:00.  Lunch has already gone by and I got back about an hour ago to find you here still sleeping."
n"Did you do anything interesting while I was gone yesterday?"
j"To be honest, I really did nothing but watch television, take a walk and sleep all day."
n"Man, you seem like you're really lazy Jeremy."
j"Well it's not like I have anything to do this summer."
show nic questioning with dissolve
n"Oh that's right, you couldn't find a job."
j"Yep, guess I have to get by with what my parents send me."
j"It’s not much, but I have a nice budget set up so I get by no problem."
show nic happy with dissolve
n"Well that's good to hear."
n"Speaking of money, I brought a little extra along to do some shopping around here."
show nic veryhappy
n"You know, some souvenirs would be nice, and I remember you saying something about there being a great mall in the area."
"Of course she would want to go to the mall.  She is a girl after all."
j"Yeah, I guess you could do with some new cloths."
show nic angry with dissolve
n"What's that suppose to mean?"
n"Is what I wear not appealing enough to you."
j"No..no I don't think it's to revealing."
show nic veryangry with hpunch
n"That's not what I asked!!"
j"Sorry...sorry, what you wear is fine."
"But her dress is kind of on the shorter side.  (Glances down)"
n"What were you just looking at?" with hpunch
j"Ouch, I didn't do anything!"
show nic devil with dissolve
n"If you want that, then I guess you'll just have to marry me."
j"Wa....wait..... MARRY YOU!!"
show nic veryhappy with dissolve
n"Come on, it was only a joke."
"Heart attack #3"
n"But there is still some truth to it."
j"Well, let's not dive into how much truth there is at the moment.{w}  How about I take you to this mall today and we forget this incident happened."
n"Well, if that's what you want, then it shall be done."
"Why do I get the feeling that I’ve just opened something I shouldn't have?"

scene streetday with fade
"We had been walking for a bit and decided to take a break by a nearby street bench."
j"It seems like a nice day, doesn't it."
"This is my best chance to get her mind off that last incident."
n"Yes, it appears that we are in luck for some good weather."
"…..{w}…….{w}……………"
"Really, would have thought I had something better to say."
j"I guess we should get going then, still a ways to walk."
n"Okay."
"We finally reach the mall without any trouble."

scene fountian with fade
j"Well, here we are."
show nic happy with dissolve
n"You weren't kidding when you said this place was big Jeremy. There are so many stores and people here that I don't think I could even count them all."
j"I believe there are about 129 different stores and that's not counting the mini push-carts in the walkways and stuff."
show nic devil with dissolve
n"Okay wise guy, how many people are there?"
j"Oh that's an easy one.   {w}There are 973, not including workers."
show nic thinking with dissolve
n"Your pulling my leg on this aren't you?"
j"Hey, it was worth a shot. However, the store amount is close to true."
n"How would you end up knowing something like that?"
j"I actually spend a lot of my free time here browsing around even when I have no money."
j"I either come here or go to the park whenever I’m by myself and there is nothing else to do."
show nic questioning with dissolve
n"Don't you hang out with other people much?"
j"To tell you the truth, I haven't hung out much with anybody since I moved into my own place."
j"Actually, I didn't make any strong friendships in high school and I guess that has carried on to today."
j"The letters I wrote to you were one of the few sets of conversation I had with people over the last couple years."
show nic openquestioning with dissolve
n"Wow, Jeremy. I didn't know that was the case.  You always seemed to talk about your friends in your letters so fondly."
j"Well, those were my friends but they're from several years back and I would always recollect on the memories."
"Guess it just felt like they were happening at that time to me.  I wish I could have those times back again."
n"Jeremy? {w} Hello.... any one at home?"
j"Oh I’m sorry we came here so you could enjoy yourself.  Here, I’ll show you around."
show nic happy with dissolve
n"Yes, that sounds pleasant. I'll lead the way."
hide nic happy with easeoutright
j"Wait Nicole!!  We're going to get separated if you run ahead......"
"I don't think she can hear me over the crowd."
"As I start chasing after her I realize how much this reminds me of my childhood and the fun I use to have."
j"(Talking to self) Nicole.....{w}  There really is something special about you, almost like you can re-energize a person's soul."
scene black with fade
pause (1.0)
scene foodcourt with dissolve
"I finally thought I had caught up to her at the food court when she suddenly disappeared."
"I seem to be out of shape as just that little run already has my heart pounding."
show nic veryhappy with easeinleft
n"BOOOOO!!!" with vpunch
j"AAAAAAHHH.....!!!"
"Oh great, heart attack #4."
j"What did you have to do that for!?!"
n"Oh come on, it was fun."
"Not from my point of view.  Especially after having just let out a girly scream that caused a few heads to turn our way."
j"I think we just drew too much attention to ourselves."
n"We wouldn't have if you didn't let out such a girly scream."
"Oh great, she noticed it as well."
j"I think it's best we move away from this area as soon as possible."
show nic devil with dissolve
n"Come on, don't get you panties in a bunch."
j"What's that supposed to mean!?!"
n"Ooops, Jeremy.  Looks like you now have 50 of those 973 people looking at you."
"Sheesh, she's right. More people are starting to look our way.{w} At least it wasn’t as crowed as it would be during lunch."
j"Come on then, let's get a move on."
show nic questioning with dissolve
"I take her by the hand and attempted to lead her out of the food court."
"It felt as though she was going to resist at first but then her grip started to slowly feel more relaxed."
j"Is something the matter?"
show nic blushing with dissolve
n"Nnnno.....nothing. It's nothing."
j"That's funny, you look like your turning red.  Do you have a fever?"
"Just than I realize I’m still holding onto her hand.  It feels really warm and soft at the same time."
"Her response brings me back to earth as I let go of her hand."
n"I'm just really warm from the running we did just now."
j"Oh.....then let's grab something to drink quick."
n"Sure."
hide nic blushing with dissolve
"We buy a couple of strawberry freezes to cool ourselves off before continuing onward."
scene black with wipedown
pause (1.0)
scene mall with wiperight
j"What are you doing now, Nicole?"
show nic happy with easeinleft
n"What are you talking about?"
j"It looks to me like your trying to walk on only the darker tiles."
j"You keep skipping over the white ones or deliberately walking on paths made of the dark ones."
j"You almost ran into that guy a second ago because of it."
show nic veryhappy with dissolve
n"Didn't think you would notice that."
j"Well you were making it obvious."
j"Why would you be doing something like that anyways?"
n"It's a game."
j"A game...?"
show nic happy with dissolve
n"Yeah.....A friend I knew when I was a little girl taught it to me."
n"You just pick a color or shade of tile and try to stay on only that type."
j"Sounds a little to childish to be playing now."
n"Well, it's something that always reminds me of her, so I don't care what people think."
j"She must have been a good friend of yours."
n"Yeah, I met her in Japan when my dad got transferred there for a few years."
j"So you know Japanese then?"
n"Just a little, we were only there for a couple years before we moved again."
j"Wait, wait, wait, hold on here."
j"You mean to tell me, that you were able to hang out and speak to her so fluently to form a friendship like that."
n"Friendship breaks the bonds of language."
j"That's a very profound statement."
n"Well, come on then. I want to go into that store."
hide nic happy with easeoutleft
"She continues on with her game as we head into a shop at the end of the walkway."
"I notice I’m walking different as well."
j"Oh great, now she's got me unconsciously doing it."
scene black with dissolve
pause (1.0)
scene departmentstore with dissolve
j"Please tell me again why you need me here while you’re picking out clothes?"
show nic statement with dissolve
n"Because I need someone strong to hold everything while I continue to shop."
"She looked serious, so I guess I’ll take that as a full compliment."
hide nic statement with dissolve
"Nicole happily went back to shopping while I continued to stand there looking like a human clothes-hanger."
n"Oh, this would look good on me....{w}and this as well....{w}and those earrings look fantastic."
"She continues to pile stuff in my arms."
n"What do you think of this bathing suit Jeremy."
"She holds up a blue & white striped bikini with the lace cut so fine on the......wait a minute."
"Why am I describing it in such detail?"
j"It looks fine Nicole. Now could we please get going?"
n"Okay, your wish is my command, Master."
"Did she just say....{p}Huhh, never mind."
"After Nicole puts away a few of the things she decided not to purchase we head up to the register."
C"That will be $65.72 Miss."
show nic questioning with dissolve
n"This isn't good, I’m a little short."
j"Don't you have like a credit card you could use for the time being?"
n"Hehe.... actually, I don't carry one."
"You have got to be kidding me.  Who ever heard of a teenage girl without a credit card?"
show nic thinking with dissolve
n"Oh well, looks like I’ll have to put something back."
n"I guess I don't need the swimsuit. I still have a good one back home."
n"Excuse me for a minute."
hide nic thinking with easeoutright
"Nicole takes the bathing suit back to its rack and returns shortly afterwards looking a little disappointed."
C"Now your total is $45.53."
n"Now that, I can handle."
"She pays for the merchandise and we leave the store.  Me with her bag in tow."
scene fountian with fade
j"You know, I had my cash with me. I could have paid for the rest."
show nic openquestioning with dissolve
n"I would never think of it Jeremy."
n"You have already offered you hospitality and much more.  I would never ask for anything else of you."
j"Honestly, it would have been no trouble at all."
n"But you already told me you keep a tight budget."
show nic devil with dissolve
n"Or were you just hoping to catch a peek of me in that bikini?"
j"No, that wasn't it at all. Anyways, let's get going. It's starting to get late."
"We had been here for some time now and it was starting to get dark."
n"Race you home then!"
j"Stop!!{w} Remember earlier?"
"When I almost had another heart attack."
"I wonder if I should exercise more?"
n"Fine, we'll take a bus."
j"That sounds much better."
scene black with fade
"We hop on the bus as the sun started to set."
"Nicole still looked a little troubled. She didn't even say anything after we got back to the apartment."
"She decided to hit the shower and go straight to bed."
"By the time I finished washing she's already asleep."
"I never really noticed how peaceful she looks when she's asleep.  Much different than that energetic girl I know."
stop music fadeout (2.0)
# End of day
#July 26th

scene black with fade
centered "July 26th" 
pause (3.0)

scene bedroom with dissolve
$ renpy.music.play("sunlight bath.mp3", loop=True)
"Seems like Nicole will be gone until late tonight. She just left a while ago but now I’m already bored."
"I gotta do something today."
menu:
  "Go to the mall":
    $ relationship += 0
    "I heard it was going to rain out today so there would be no point in going to the park."
    "I guess I will go to the mall instead. It’s still one of my favorite places to think and I won't need to worry about the rain if I take the bus home."
    "I get dressed, and bring my mini umbrella just in case."
    scene fountian with dissolve
    
    "Ah, looks like a lot of people decided to go to the mall today."
    "I decide to grab myself a quick bite to eat and then proceed to browse."
    "Even though I had just been here yesterday with Nicole, I really didn't get a chance to look for anything I wanted."
    "She just kept pulling me along with her."
    "I guess we did come to the mall for her so it's only right that she got to go where she wanted."
    scene mall with wiperight
    "I heard that a visual novel was being released by a new company called NeumanProductions at the GameShop so I guess I could check that out."
    "As I start to head to the other side of the mall something catches my eye."
    "The same bikini that Nicole has looking at yesterday was sitting on display outside the store."
    "There is a sign out front that reads,\n\BIG SUMMER SALE\n\TODAY ONLY\n\ALL SUMMER WEAR AND BATHING SUITS 25%% OFF."
    "If only Nicole had decided to come today. Then again, she did have college stuff today so I guess it couldn't have happened."
    "I attempt to walk away when I notice my feet won't move."
    j"What the..."
    "My head automatically turns back towards the store almost as if it's magnetized to it."
    "I guess unconsciously I have already made up my mind."
    "I walk into the store I had only tried to escape from yesterday."
    scene departmentstore with wipeleft
    "I talk with the clerk and ask if I may purchase the bikini."
    C"I don't think it's quite your look."
    j"Ha..ha..ha..Very funny. (Sarcastic)"
    C"Wait, aren't you that boy who was here with that cute girl yesterday?"
    "Don't tell me."
    j"Your that same clerk from yesterday."
    C"Yep, so I guess this is for her then."
    "He holds up the bikini."
    C"I think she will look really good in it.  Is this going to be a gift for your girlfriend then?"
    j"Wha....wait a minute! She is not my girlfriend."
    C"Oh, but you look like such a nice couple."
    "Do we really look that good together?"
    C"Anyways, the total will be $15.19."
    j"Oh, okay."
    "I hand him the twenty I had in my wallet."
    "Guess that means no new game for me this week."
    C"We have free gift wrapping if you want. Or would you rather do it yourself?"
    j"If it's free then it's best if you do it.  It would probably look like an eight-year-old did it if I tried."
    C"Ahhh, you want it to look nice. Very well then. Just give me a few minutes."
    "He leaves and returns carrying the package with solid-blue wrapping paper now covering it."
    j"I think it would look better with a bow."
    C"I think that will be best made by you Romeo."
    C"You gotta put something into it of your own hands."
    "Well, there goes my idea of it looking professional."
    j"Thanks."
    $ have_bathingsuit = True
    "I walk out of the store and decide to continue browsing."
    "Even though I haven't got much left I might as well find something for myself."
    scene mall with wipeleft
    j"Well, I suppose this manga might have to suffice for now."
    "I couldn't afford that new game I wanted so I just picked up a manga volume."
    "It’s sometimes nice to have a printed copy rather than just reading them all online."
    "I decided to head back home."
    j"Looks like the rain decided to hold off."
    scene black with wipeleft  
    
    
  "Take a walk in the park":
    $ relationship += 0
    "I haven't been to the park in a while."
    "The weatherman says it’s supposed to rain out but I’ll take my chances."
    "I grab myself something to munch on and then head outside."
    show river with dissolve
    j"It looks like such a beautiful day."
    "Guess the weatherman was wrong. We all make mistakes after all."
    "I decided to take a rest on the bench by the lake."
    "This is my favorite spot."
    "I always come here when I need to think about something."
    "But what do I have to think about that would prompt me here."
    "An image of Nicole pops into my head."
    "Guess my unconscious is trying to tell me something."
    j"I probably should have noticed this after that dream I had the other night."
    "A mix of emotions starts to flood my mind after I bring the incident up."
    j"I wonder what would have happened if I let that dream go on a little longer?"
    "While pondering the possibilities I fell asleep."
    scene black with wipedown
    j"Nicole, what has your presence done to my life?"
    j"I just wonder what would have happened if our lives had never crossed?"
    j"Well, I guess you have to play the cards life has dealt you."
    "Just then I slowly open my eyes."
    scene river with wipeup
    "Seems like I had been asleep for much of the day.  These summer days are just that relaxing."
    "On the way back home I continued to think about Nicole."
    if relationship>=5:
        j"I don't know for sure but I think I like you."
    if relationship<5:
        j"I really don't know what to think of you, Nicole."
    scene black with fade
stop music fadeout(2.0)
scene livingroom with dissolve
if have_bathingsuit:
    "I hide the gift under my bed before returning to the kitchen." 
"As I begin to make dinner the door open and who else but one pops in."
j"How were things today Nicole?"
show nic happy with easeinleft
n"It went relatively well.   I think it was the best school I’ve seen this trip."
j"Didn't you go to my school today?"
n"Yeah, I wonder what it would be like if we went to the same school."
"Yeah, that would be something interesting."
j"We wouldn't be in the same year, you know."
n"Yeah, but it would still be interesting."
"Being around Nicole throughout college wouldn't be so bad."
"I think back to the day at the mall."
"It couldn't be like that all the time; could it?"
n"Here Jeremy, let me help you with that."
"She noticies me cutting some vegetables."
j"Oh, sure. If you could finish with these I’ll prepare the meat for the stew."
n"Okay."
hide nic happy with easeoutright
"It’s kind of nice having somebody to help around here.  And surprisingly, I have also kept the apartment in better shape recently."
"Guess I just have a reason for that now of days.{p}Just then."
j"OUUCCHH!"
show nic openquestioning with easeinright
n"Jeremy, what happened?"
j"I just gave myself a cut.  Don't worry, it's nothing big."
n"Are you sure it's okay?"
j"No problem, a Band-Aid and I’ll be good as new."
show nic veryangry
n"Damn it Jeremy, why did you have to worry me like that!?!  I though you chopped your finger off or something!" with hpunch
j"Ouuuch!"
j"I'm still injured you know."
n"Fine, where are the Band-Aids?"
hide nic veryangry with easeoutright
j"Top shelf."
"She grabs the box and opens one up as I wash my hand in the sink."
j"You do realize it's not like I wanted this to happen."
show nic questioning with easeinright
n"I know, but you still shouldn't have scared me like that."
j"Okay, I’m sorry for making you worry."
n"Look, you should probably let me finish.  I don't think your mind is focused on cooking right now."
"Perhaps...... I was a little preoccupied."
j"Okay, your wish is my command, Master."
show nic happy with dissolve
n"Hey, that's my line!"
j"So you did say it like that yesterday."
show nic blushing with dissolve
n"Wha...no I didn't ummm.... never mind. Just, why don't you watch something while I finish up here?"
hide nic blushing with easeoutright
"While walking to the living room I mutter under my breath..."
j"As you wish."
"When I look back to her she has already turned he back towards me and is cutting some onions."
"I catch a part of her face reflected off some glass."
j"Is that a smile I see?"
n"You say something Jeremy?"
j"No, nothing at all."
if relationship>=5:
    "There really is something special about you Nicole."
scene black with fade
pause (2.5)
scene livingroom with dissolve
"After dinner I decided to ask Nicole something."
j"Hey, Nicole?"
show nic questioning with dissolve
n"What is it Jeremy?"
j"Well, since it's your last day here tomorrow why don't we hang out?"
n"Really?"
j"Yeah, remember me mentioning the park during our mall trip yesterday?  I think it would be great if you saw it and there is an excellent coffee shop to stop at."
show nic blushing with dissolve
n"Is this like a date Jeremy?"
if relationship>=5:
    j"You....you could call it something like that if you want."
    "Am I really asking her out on a date?"
    n"I...I would love to Jeremy."
    j"Great, I would love for you to fully see the town.  It's actually very refreshing."
    show nic happy with dissolve
    n"Good, sounds even more exciting."
if relationship<5:
    j"No..no just think of it as a going-away gift.  Just a way for you to relax before leaving."
    n"Oh, sure. That sounds like an okay idea."
    "She doesn't sound too excited.  Wonder if it was something I said?"
j"Well, let's get some sleep. I'll umm... leave you to get ready."
scene black with dissolve
"I give Nicole enough time to shower up and get dressed before I followed suet."
"I just wonder how tomorrow is going to go?"

#End July 26th
#Begin July 27th

scene black
pause (3.0)
centered"July 27th"
pause (3.0)

"The alarm is ringing in my ears with its high-pitch squeal."
"Honestly, why did I ever buy this clock?"
"While still half asleep I hit the snooze button and prepare to fall back into unconsciousness until......"
"I notice a warm sensation move across my neck as light as the breeze of a fan."
"Something shuffles around before I feel something pushing up against my back."
"As I start to move more fluently I hear a small coo like that of a dove."
"There can only be two explanations for this...."
"Either I'm having that dream about that deaf girl with the drill-haired friend breathing down my neck to join their club or....."
"I pray it was my first thought as I turn to look behind me."
"A pair of bright-blue eyes meets my glance."
j"Nicole?"
n"(Yawn) Good morning Jer....{w}  .......{w} ...............EEEEEEEPPP!!"
"A foot quickly dislodges me from the bed as I hit the floor hard."
j"OOOuucchh!" with hpunch
"I stabilize myself as Nicole starts to glare at me.  She had gotten up relatively fast."
scene bedroom with wipedown
show nic veryangry with easeinright
n"Wha.......what were you doing in my bed?"
"I begin to ask myself the same question."
n"ANSWER ME!!!"with vpunch
"As I recover again I try to explain when I glance at the be ......hey, wait a minute."
j"Hey, you were sleeping in my bed!"
"I once again glance at the beds and Nicole follows suet."
"Her expression drastically changes."
show nic blushing with dissolve
pause(0.5)
"I can tell she must have realized what happened as I saw her face turn a bright red."
j"Well?"
n"I....I guess when I went to the bathroom last night I must have slipped in with you by mistake."
j"So your saying we literally slept together all last night???"
"Somehow, I would have imagined the first time sleeping with a girl to be less....uummmmm..... painful."
n"I wouldn't say all last night...maybe just a few hours or so."
"For a few hours a girl had been cuddled up next to me."
n"Hey, don't start having any fantasies now.  Can't we just forget about this?"
j"Okay...okay let's just think of it as an accident and leave it as that."
show nic happy with dissolve
n"Thanks, that takes a load off my mind."
"How could she change her emotions so fast?  It's almost as though the incident never existed in her head."
hide nic with easeoutright
"She glides out the room with relative ease."
"Wait a minute that sounds like romantic talk."
"Oh man, now that I think about it. If Nicole didn't do anything........"
"..........WHAT ABOUT ME???"
scene black with wipedown
pause (2.0)
scene livingroom with fade
"We finish off breakfast without much conversing."
"I guess what happened only a short time ago must still be on Nicole's mind.  She is really good at hiding it though, but my hypothesis still seems wrong."
"She is the first to speak."
show nic blushing with dissolve
n"I'm looking forward to today."
j"Ah, that's right.  I promised to take you to my favorite park today."
"I really didn't forget my promise but I was happy to have a conversation."
j"Well, we're practically finished so why don't we head out in ten minutes."
n"Okay, I’ll just be getting ready then."
hide nic with easeoutleft
"Guess she wants to change into one of her new outfits."
"She has been wearing the same thing for the last week after all."
"As I clean up Nicole reemerges from the bedroom."
show nic happy with easeinleft
n"So, are you ready to go?"
"She was wearing the same thing as before. (puzzled look)"
show nic questioning with dissolve
n"Is something wrong Jeremy?"
j"No, it's just I thought you were going to change or something."
n"But I did.  I do own more than one of these outfits you know."
j"Ohh,...okay then."
"I remember girls always wearing the same outfit in manga, anime & VNs but I didn’t think that actually happened."
j"Shall we be going?"
scene black with wiperight
"We leave the apartment as Nicole continues to have that puzzled look on her face."
"Honestly, who has a wardrobe of the same outfit?"
"Why didn't she wear one of those nice outfits she got from the mall? It puzzles me the entire walk to the park. "
scene river with wipeleft
$ renpy.music.play("kindly calmly.mp3", loop=True)
"The sun was shining brightly and reflecting off the river with incredible beauty."
show nic veryhappy with easeinright
n"This place is so beautiful Jeremy."
j"Yeah, that's one of the main reasons I enjoy coming here."
j"I especially enjoy coming here in the fall as the reflecting light and changing in the leaves blend together."
n"I think it would be so lovely to see this place in the fall."
j"It's fantastic!  Too bad you're leaving tomorrow though."
"What am I saying?  I'm probably just making her sad."
j"Look....I didn't mean to say it like that."
n"No..no, I wish I could stay longer as well."
n"However, I think it would be odd if I didn't return home."
j"Your right. {w} Besides, I don't think your parents would like the sudden idea."
n"But if I choose a school here then I would be able to view it one day."
"I wonder if she is seriously considering basing her decision on this."
j"Nicole, I wouldn't base you decision on something as trivial as this."
n"Decision?"
j"On the school you plan on attending."
show nic thinking with dissolve
n"There are a lot more aspects I have to consider than that."
j"Hee...I guess you’re right."
"We decide to rest on a bench for a bit."
hide nic with dissolve
"We had been sitting there for roughly ten minutes without a word when I noticed that I was beginning to sweat severally."
"I look up at the sky and notice that the sun had reached up high causing the temperature to rise drastically."
n"Whew...... it's getting hot out."
j"Perhaps we should head somewhere cooler for now."
j"Let's head to that coffee shop I talked about.  They have a delicious iced mocha and it’s just on the other end of the park."
n"Wouldn't it be warm inside?"
j"They normally keep it very cool this time of year for people like us who want to cool off."
n"How smart of them."
j"Yeah, but their prices reflect that extra A/C usage."
j"It's normally worth it though."
n"Okay, let's get going then."
"We rise from the bench and head towards the other end of the park."
scene black with wipeleft
pause (1.0)
scene outsidecafe with dissolve
j"Well, here's the place."
n"Seems quite large for just a simple coffee shop?"
j"Like I said, this place does decent business and has expanded into a full restaurant and bar."
j"The original shop is partially cut off from the rest and I think the best decorated.  Let's head inside before it gets any hotter."
"I take Nicole over to the single glass door that was a little ways from the main entrance."
scene coffeeshop with wiperight
show nic happy with easeinleft
n"This place looks so cozy... and quite too."
j"Most of the people prefer the restaurant and bar portion so this section is less frequently used.  Mostly, it's used for small gatherings like a book club or things like that."
n"That's too bad.  I thought more people would appreciate this bliss."
j"Than it wouldn't be as blissful now would it?"
show nic veryhappy with dissolve
n"Hehe,...makes sense."
"Just then our waitress came to take our order."
W"And what can I get for the fine couple."
show nic blushing with dissolve
"Nicole immediately starts to blush, and I feel my cheeks starting to go red as well."
j"Oh, we're not a couple.  She's just a friend."
if have_bathingsuit:
    "This reminds me of that department store clerk."
    "Do we really look that good together?"
W"Ohhh, you guys look like you were made for each other though."
"And she continues....."
j"Anyways, I’ll just have a regular iced mocha."
show nic happy with dissolve
n"I'll have the same as him."
"She recovered quickly."
W"Coming right up."
"She leaves us and I realize it's just me and Nicole in the room."
menu:
  "I should probably strike a conversation.":
    $ relationship += 1
    "I should probably strike up a decent conversation."
    "However I don't really have a good topic of interest."
    "I start moving my mouth as if talking to myself. "
    "I guess Nicole must have noticed my struggle and made her own topic."
    n"I never asked but how is your love-life, Jeremy."
    "Come on.........out of all the possible......and at this moment....."
    "I turn red once again, and Nicole gets that evil smile on her face."
    show nic devil with dissolve
    n"Don't tell me you have done something you regret?"
    j"No..no....nothing like that!"
    "To be frank, I’ve never actually had a girlfriend."
    show nic questioning with dissolve
    n"I would never have guessed that was the case."
    j"Yeah, like I said before, high school was really not my pinnacle of popularity."
    "Nor after that."
    j"There was this one girl I had a crush on starting freshman year, but it never amounted to anything."
    n"That's too bad. I think she really missed out."
    j"Well, you can't make a person fall for you."
    show nic happy with dissolve
    "She chuckles a bit."
    n"You're right, but it doesn't hurt to try. "
    "What does she mean by that?"
    "Just then, our drinks arrived."       

  "Say nothing":
    $ relationship += 0
    "It won't be long before the waitress gets back."
    "I start twirling my thumbs around in the lap until the waitress returns with our drinks."
W"Here you guys go. Will that be all for today?"
j"Yes, thank you."
W"Well then, here is your check and you can pay the man at the main counter."
"She lays the bill on the table then heads back into the main building."
"Nicole immediately takes a sip of her drink."
show nic veryhappy with dissolve
n"You weren't kidding when you said this place was great."
"And I wasn't kidding about the prices either; $4.25 for one of these. I don't think a chain store would survive with these prices."
"Huh..what's done is done and Nicole doesn't seem to mind."
"We stayed there for about an hour enjoying the not so free A/C."
j"Why don't we head back to the park?  We could take a walk through the trails.  They will be cooler than the rest of the park."
n"Sure, let's go."
"I leave a small tip on the table and pay for both of use."
show nic happy with dissolve
n"You didn't have to pay for me Jeremy."
j"You didn't know what the prices were like so it's only fair; since I suggested this place."
show nic veryhappy with dissolve
n"Okay, it's like my grandfather always says, ''Anything free is worth saving up for.''"
scene black with wipedown
pause (1.0)
scene forest with dissolve
"When we got partially into the trail Nicole stopped to admire the scenery."
show nic happy with dissolve
n"I just love how the light enters in through the trees and it is so secluded in her."
j"It's always nice to walk on the trails back here. I'm glad they decided to keep this area of woods rather than industrialize here."
n"I think it's nice to have a special place to come too.  Away from the world and its troubles."
"We sit on the bench and have the lunch Nicole prepared ahead of time."
j"These sandwiches are exceptional, Nicole. What else did you put in it?"
n"Thanks, I added a special mayonnaise I know how to make."
j"When did you make that?"
show nic blushing with dissolve
n"Remember our incident this morning?"
"I don't think I will ever forget that."
n"Well, I actually got up to make it during the night. I just made it in a jar and spread it on when I made the sandwiches this morning."
n"And when we were at the convenience store, I bought all the ingredients I needed."
"She must have been planning this for a long time."
j"You have got to give me the recipe for it sometime."
show nic happy with dissolve
n"Family Secret. You can still have the rest I left in the fridge. It's a big enough jar to last you a while."
"She must have worked hard to make so much."
"Once finished we packed up and decided it is best to head back for the time being."
scene black with wiperight
pause (1.0)
"After dropping off the basket back at the apartment, I decided to show Nicole around the rest of the town."
"I took her to several of my other favorite places until it started to get dark."
"We decided to make our way back through the park; as it was the quickest way."
scene parknight with wipedown
"There were plenty of lights on the pathway through the park so neither of us was too worried about any trouble."
"Again, the park is quiet.  Nothing to hear but the call of crickets in the night."
scene moon with wipeup
"The moon is full and helping to illuminate the path before us."
n"I love the night."
"The sound of Nicole's voice draws me back from space."
with None
scene parknight
show nic happy
with wipedown
n"Most folks are getting ready to end their day but the stars and moon are just beginning theirs."
n"You know, not many can appreciate the wonder that can be seen during night."
j"Always getting prepared for the next day to come without keeping their eyes open."
show nic veryhappy with dissolve
n"Exactly!"
j"I wonder what that is like for a blind person then? One who never can open there eyes at all."
show nic happy with dissolve
n"I knew a blind person once."
j"Really?"
n"Yep, and I asked her that exact question."
n"I said, 'How can you really experience the world fully without your eyes?'"
j"What did she say?"
n"''Your world and my world are the same. There is no doubting that logic."
n"However......{w}even though the size of our cups is the same, we have our own unique ways of filling them."
n"There are experiences that you can have that I never will, but I have different ones that one who has seen the world can never experience.''"
j"That actually makes a lot of sense."
j"I mean, I can never experience what it is like to have never looked through my eyes."
j"No matter how hard I image it, my experiences will always have affected the way I think of it."
n"She really was a smart person."
"As we continued to the apartment, I pondered what Nicole's friend said."
"I wonder if that can be said about each of us as a person."
scene black with dissolve
pause (1.0)
"By the time we arrived back it was already late."
"Nicole's flight was to leave at 9:15am tomorrow so the best thing to do was get some rest."
"She packed away anything she wouldn't need for the night and washed before heading to bed."
"I followed up and set the alarm early enough to get her to the airport on time."
"This is the last night that I will spend with Nicole and I might never see her again."
"Is that something that I truly want to happen?"
"Questions ponder themselves in my brain until Mr. Sandman finally knocks me out."
stop music fadeout(2.0)
#End of day
#The day of Nicole's Departure
#July 28th

scene black with fade
centered "July 28th \n\The day of Nicole's departure"
pause (3.0)

"The alarm sounded and I immediately awoke from my slumber."
scene bedroom with wipeup
$ renpy.music.play("at the time of flower.mp3", loop=True)
"Seems that Nicole woke up before hand and was already prepared to leave."
n"Come on sleepy head, or I’ll be late for my flight.  My mother wouldn't be too fond of my getting home late."
j"Just ummm...give me a couple minutes to get ready."
"I grab all of the stuff I need such as wallet and phone and place them in my bag."

if have_bathingsuit and relationship>=6:
    "I almost forgot the bathing suit I picked up for Nicole."
    j"It wouldn't do me too much good."
    n"Come on Jeremy."
    j"Coming...I’m coming."
    "I place the gift in my bag before meeting Nicole outside the apartment."
    j"Okay, let's get going."
    scene black with dissolve
    "We get to the airport in enough time for me to help get Nicole's bags checked in and we head over to the departures."
    "It's a smaller airport so the security guys don't mind me going through to see Nicole off."
    "Lucky for me they didn't say anything about the gift as it ran through the machine."
    "Again, as luck would have it, the same terminal when I first met Nicole was the one she was currently departing from."
    scene terminal with dissolve
    show nic happy with dissolve
    n"Looks like we made it just in time."
    w"We will be boarding the entire plane in a few minutes."
    n"Well...looks like it’s time to say goodbye."
    "What do I say? I don't want to have Nicole leave.  This past week has been one of the best experiences I’ve had in a long time."
    "She seems to be able to draw out feeling I haven't experienced in years."
    "Rather than say something stupid I reach into my bag and grab out the gift."
    show nic questioning with dissolve
    n"What is that, Jeremy?"
    j"It's.... ummm....your going away gift."
    "She takes the blue colored package with my horrible bow attached."
    "Maybe I shouldn't have added the bow. If only that salesman would have done it."
    show nic happy with dissolve
    n"What lovely packaging and the bow really brings out the color."
    "I can't believe she likes the bow! It so highly pales in comparison to the rest of the wrapping."
    n"Can I open it now?"
    j"That's the decision you have to make."
    "Decision..........{w}I have one to make as well."
    n"I think it would be best to open it now."
    "She tears the wrapping paper with diligence. Even taking the time to save the bow."
    show nic veryhappy with dissolve
    n"Jeremy, is this what I think it is?"
    n"It is, it's the same bikini I wanted at the mall but couldn't afford!"
    j"You like it?"
    n"Of course I do!  Thank you so very much!"
    show nic blushing with dissolve
    n"but...."
    "A flush of pink rushed to Nicole's cheeks." 
    j"But what?"
    n"I can't accept this gift."
    j"Why not?"
    n"I told you I didn't want you to buy it for me.  I know it must have been expensive."
    j"Nicole, I bought this for you as a gift.  I want you to keep it."
    j"I noticed how you looked sad that day and I don't want to see that again!"
    show nic questioning with dissolve
    n"Jeremy?"
    j"Nicole! I don't want this to be the last time I see you!"
    j"This last week has been the best time of my life.  I haven't felt this great and open to another person in years."
    j"I.....I....{w}I think I love you!"
    "Now I thought I had known what love was but I could just tell with Nicole; this was the real deal."
    show nic blushing with dissolve
    "Nicole instantly turned a full shade of red, but aside from that there was only one thing on my mind."
    "Does she feel the same way back?"
    "The next few moments seemed as though they were completely silent."
    "I knew there must have been sound as I could see from the corner of my eye people starting to board the plane,  but my eyes, ears, and heart were focused Nicole."
    show nic blushing
    "(Heart beating).......{w}.......{w}.............."
    "Every incident leading up to this moment flashes before my mind."
    n"I..........."
    "This is it."
    "I think my heart just skipped a beat again."
    n"I......{w}I love you too, Jeremy."
    "I felt my heart stop."
    "I couldn't move myself after hearing those words.  A girl has actually said she loved me; and it wasn't my mom!"
    "Finally, my basic motor skills start returning to me as a feel a tear run down my face."
    hide nic with dissolve
    "I embrace Nicole as if it was instinct, tears continuing to form."
    j".....Thank you...."
    "Nicole's bright-blue eyes look directly into my own.  I can see a tear forming in her eye as well."
    n"Your welcome..."
    "We slowly engage each other in a simple kiss."
    "My first kiss."
    "There was no tongue or anything you read about in romance novels.  Just a simple kiss but to me, it felt like the world was melting away."
    w"(Loud Speaker)  Final boarding for Flight 252."
    "We break off after both hearing the PA."
    n"I have to get going now, Jeremy."
    j"But...... you can't leave me??"
    show nic happy with dissolve
    n"Don't worry Jeremy. We'll see each other next fall when I enter your school."
    "My tears finally have dried up after seeing Nicole so happy."
    "That's just the thing I love about her."
    j"So....you have already made your decision."
    show nic happy with dissolve
    n"It was already made since yesterday."
    n"All you had to do was pull the trigger."
    "It really was my choice, and I know I made the right one."
    hide nic happy with dissolve
    "Nicole starts moving towards the boarding ramp of the plane."
    j"I really won't get to see you for another year, will I."
    n"Just promise me one thing we'll do when I get back."
    j"Anything!"
    n"You'll take me to that same park, to see all you described in the fall."
    j"I promise."
    "And with that promise she left."
    scene black with dissolve
    jump ending_1
if relationship>=5:
    n"Come on Jeremy."
    j"Coming...I’m coming."
    "I rush out to meet her by the door."
    j"Okay, let's get going."
    scene black with dissolve
    "We get to the airport in enough time for me to help get Nicole's bags checked in and we head over to the departures."
    "It's a smaller airport so the security guys don't mind me going through to see Nicole off."
    "As luck would have it, the same terminal when I first met Nicole was the one she was currently departing from."
    scene terminal with dissolve
    show nic happy with dissolve
    n"Looks like we made it just in time."
    w"We will be boarding the entire plane in a few minutes."
    n"Well...looks like it’s time to say goodbye."
    "What do I say? I don't want to have Nicole leave.  This past week has been one of the best experiences I’ve had in a long time."
    "I really like this girl."
    "Just then"
    hide nic happy with dissolve
    "I'm brought out of my trance as a set of lips touch my right cheek."
    show nic blushing with dissolve
    n"I want you to have that as a token of my thanks. For everything you have done for me."
    j"I..I didn't do much.  It was a great pleasure to have you here for the week."
    "I was still under a slight shock from what had just happened."
    w"(Loud Speaker)  Final boarding for Flight 252."
    n"Guess it's my time to leave."
    hide nic blushing with dissolve
    "Nicole starts moving towards the boarding ramp of the plane."
    "Time to think fast on my part."
    "I decide it's now or never."
    "I run to Nicole and embrace her with all of my passion."
    j"Please don't go. I feel like you are the best friend I’ve never had."
    "Tears start to roll down my face and I must have been causing a disturbance to some of those boarding; but I didn't care."
    "Nicole gives me a cheerful smile."
    n"Don't worry, Jeremy. You won't get rid of me that easily."
    "The water starts to dry instantly from my face."
    j"You don't mean?"
    n"Hehe, I have already decided to attend the same school as you."
    j"When did this happen?"
    n"Just now, when you admitted how much you needed me."
    n"I too feel like we connect so well; reminds me of my old friends."
    "I straighten my posture after finally letting go of Nicole."
    j"You aren't fooling me on this are you."
    n"Wouldn't dream of it."
    n"Now I have a flight to catch but we will keep in touch right."
    j"Of course we will."
    n"Alright, until we see each other again."
    "And with that said she boards the plane."
    scene black with dissolve
    jump ending_2
if relationship<5:
    n"Come on Jeremy."
    j"Coming...I’m coming."
    "I finalize that everything of Nicole's has been cleared from the room and head out to meet Nicole standing outside the door."
    j"Okay, let's get going."
    scene black with dissolve
    "We get to the airport in enough time for me to help get Nicole's bags checked in and we head over to the departures."
    "It's a smaller airport so the security guys don't mind me going through to see Nicole off."
    "As luck would have it, the same terminal when I first met Nicole was the one she was currently departing from."
    scene terminal with dissolve
    show nic happy with dissolve
    n"Looks like we made it just in time."
    w"Flight 252 will be leaving shortly, please finish boarding."
    n"Well...looks like it’s time to say goodbye."
    j"I have to admit this week wasn't as bad as I thought it would be.  Considering how we first met."
    n"That's right, this is where we first met and you found out I was a girl."
    j"Yea, what a crazy time, but we had fun."
    n"We sure did."
    w"Last call for Flight 252."
    n"I really got to go. Can't miss this flight or my mom will get mad.  Hehe"
    j"We'll keep in touch."
    n"Will do."
    "And with that said Nicole boarded the plane for home."
    scene black with dissolve
    jump ending_3
    
#Endings
    
label ending_1:
    "The time went by relatively quickly."
    "I had entered into school and had a relatively good year, but all I could look forward too was when Nicole returned."
    "We kept in touch with our letters and finally made the step up to using internet communication."
    "I know, took us long enough."
    "When the day finally came for her to arrive, I waited patiently at the airport."
    "Once again, the same terminal in which I first met her."
    "I saw her exit the plane looking the same as when I saw her depart."
    n"Hello, Jeremy...."
    j"Hello, Nic....."
    
    "We were a couple from then on, and as promised I took her to see the park in the fall."
    "During the summer she stayed in town with some other friends. Probably not good to stay at my place now that our parent knew we were dating."
    "Since she stayed, we went to the beach several times over the years and Nicole would always wear the same bikini."
    "The one I bought her those many years ago."
    "Later, when I had become a senior, I took Nicole to that same park, to that same bench, during the fall..... and proposed to her."
    "This time it was her turn to pull the trigger."
    "......{w}.....{w}....{w}It's a good thing I wasn't in its way."
    centered"Best Ending"
    jump credits
    
label ending_2:
    "I went home that night happy to know that I would see Nicole again."
    "The following year wasn't as boring as I thought it would be.  Nicole and I kept in touch until she arrived in the fall of the following year."
    "We stayed best friends throughout college and continue to see and communicate with each other from time to time."
    "Nicole ended up majoring in biology and went on to work with disabled students at a Japanese high school.  I had asked her once if she ever ran into that girl she knew who lived in Japan."
    "She told me, as luck would have it, that the girl had actually been a student at the school years back and now lives a happy life. {w} Nicole and her have become best of friends now."
    "I, on the other hand, graduated with a chemistry major, on Nicole's suggestion of course, and am now working in a successful lab."
    "My experience with Nicole easily changed my life."
    "For one who doesn't believe much in destiny, I think it's getting harder not to......wonder."
    centered"Okay Ending"
    jump credits
   
label ending_3:
    "I never saw Nicole in person again."
    "She decided to go to a school that was closer to home because she didn't want to be too far from her family."
    "We kept in touch for a few years by moving to internet communication mediums, but we eventually grew apart."
    "It's been 10 years since that day Nicole and I first met. I have remained a bachelor for these many years due to schooling and my career taking a lot of time away."
    "Sometimes I think back to that day and wonder if I had missed an opportunity to have something different."
    "I guess it will be impossible to tell since I can't turn back the clock."
    centered"Sad Ending"
    jump credits
    
label credits:
scene mailbox with fade
$ renpy.music.play("walking road.mp3", loop=True)
$ CredsText = Text("Penpals\n\n\n\n\n\nA game by NeumanProductions\n\n\n\n\n\nStory: Tyler Neuman\n\n\n\n\n\nCharacter Art: Tsuina\n\http://tomoko.denpa.org/ \n\n\n\n\n\nBackground Art: Photos by morguefile.com & photobucket.com photographers\AdamL212, seeman, Hect0r, tboard, darthlaurian, kevin_p, razvandm, 37Hz, kalleboo, ellbrown, beglib, mconnors, mcmt & myself\n\nReleased under Creative Commons licenses\n\n\n\n\n\nMusic from: tam-music.com/mp3.html\n\n\n\n\n\nEngine: Ren'Py by PyTom\n\n\n\n\n\nAny and all feedback would be helpful as better games are always my goal.  Leave comments at NeumanProductions ", drop_shadow = (1,1), drop_shadow_color = "#444", text_align = 0.5)
$ CredsMove = Move((400, 600), (400, -1500), 40.0, xanchor="center", yanchor="top", subpixel=True)
$ renpy.show(name="", tag="creds", what=CredsText, at_list=[CredsMove])
$ renpy.pause(30.0)
stop music fadeout 5.0
with Pause(5.0)
   

